# $Revision: 1.14 $, $Date: 2006/12/13 22:20:41 $
%define		_modname	classkit
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - runtime redefinition of class methods
Summary(pl):	%{_modname} - modyfikacja metod klasy w czasie dziaania skryptu
Name:		php-pecl-%{_modname}
Version:	0.4
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	3d04b0998e03e2375dfa2e118afeaaf3
URL:		http://pecl.php.net/package/classkit/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows a running script to add, remove, rename, and redefine class
methods without reloading.

In PECL status of this extension is: %{_status}.

%description -l pl
To rozszerzenie pozwala na dodawanie, usuwanie, zmian nazwy oraz
redefiniowanie metod klasy bez koniecznoci ponownego uruchamiania
skryptu.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-classkit.spec,v $
Revision 1.14  2006/12/13 22:20:41  glen
- update to 0.4

Revision 1.13  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.12  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.11  2005/10/30 13:29:27  glen
- rel 4

Revision 1.10  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.9  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.8  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.7  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.6  2005/09/11 23:53:22  glen
- full conf.d support and unifications

Revision 1.5  2004/08/28 10:57:59  adamg
- updated to 0.3

Revision 1.4  2004/08/25 19:52:37  adamg
- updated to 0.2

Revision 1.3  2004/08/22 08:34:23  adamg
- fixed License

Revision 1.2  2004/08/22 08:31:37  adamg
- updated to 0.1.1

Revision 1.1  2004/08/21 16:16:48  adamg
- new
